Bug 135298 - Insert Layer help page is outdated
Summary: Insert Layer help page is outdated
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2020-07-30 06:31 UTC by Mike Kaganski
Modified: 2020-09-23 16:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2020-07-30 06:31:23 UTC
https://help.libreoffice.org/6.4/en-US/text/sdraw/01/insert_layer.html doesn't tell about Title and Description, but mentions "Options", a heading that was removed in OOo 2.4.

Also this is not only shown for "Insert", but also for "Modify Layer".

Ref: https://ask.libreoffice.org/en/question/257760/
Comment 1 Olivier Hallot 2020-07-31 13:56:58 UTC
Confirmed. The dialog Help page miss Title and Description.

However from 
http://docs.oasis-open.org/office/v1.2/os/OpenDocument-v1.2-os-part1.html#element-draw_layer

Title is specified as 
"The <svg:title> element specifies a name for a graphic object."

And Description is 
"The <svg:desc> element specifies a prose description of a graphic object that may be used to support accessibility."

OK for Description.

But what is the difference between "layer name" and "title"? (for documentation purposes). 

Is Title used anywhere in the UI?
Comment 2 Mike Kaganski 2020-07-31 14:02:14 UTC
Regina: could please take a look - can you answer Olivier (comment 1, regarding title)? (I don't know the answer.) Thanks!
Comment 3 Commit Notification 2020-08-05 21:11:33 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/a1824ce0190204ae90939c6886e2056e3afb85aa

tdf#135298 Update insert layer page